# Generated from cli-pasta-2.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name cli-pasta

Name: rubygem-%{gem_name}
Version: 2.0.1
Release: 1%{?dist}
Summary: Handle Ctrl-C and broken-pipe errors gracefully in Ruby command-line tools
License: Artistic-2.0
URL: https://github.com/chocolateboy/cli-pasta
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.5.0
# BuildRequires: rubygem(komenda) >= 0.1.8
# BuildRequires: rubygem(komenda) < 0.2
# BuildRequires: rubygem(minitest) >= 5.14
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(minitest-power_assert) >= 0.3.0
# BuildRequires: rubygem(minitest-power_assert) < 0.4
# BuildRequires: rubygem(minitest-reporters) >= 1.4
# BuildRequires: rubygem(minitest-reporters) < 2
# BuildRequires: rubygem(rubocop) >= 0.93
# BuildRequires: rubygem(rubocop) < 1
# BuildRequires: rubygem(tty-which) >= 0.4.2
# BuildRequires: rubygem(tty-which) < 0.5
BuildArch: noarch

%description
Handle Ctrl-C and broken-pipe errors gracefully in Ruby command-line tools.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.md
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/README.md

%changelog
* Mon Sep 13 2021 mockbuilder - 2.0.1-1
- Initial package
